org.eclipse.mat.ui.snapshot.actions

## Class OpenSnapshotAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.snapshot.actions.OpenSnapshotAction

    public class OpenSnapshotAction
    extends Action

### Constructor Summary

Constructors
Constructor and Description
`OpenSnapshotAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `init(IWorkbenchWindow window)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSnapshotAction

    public OpenSnapshotAction()

### Method Detail

#### run

    public void run(IAction action)

#### run

    public void run()

#### dispose

    public void dispose()

#### init

    public void init(IWorkbenchWindow window)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)